Create skill
curl --request POST \
--url https://melso.ai/api/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "release-notes",
"description": "Write release notes",
"content": "---\nname: release-notes\ndescription: Write release notes\n---\n"
}
'import requests
url = "https://melso.ai/api/skills"
payload = {
"name": "release-notes",
"description": "Write release notes",
"content": "---
name: release-notes
description: Write release notes
---
"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'release-notes',
description: 'Write release notes',
content: '---\nname: release-notes\ndescription: Write release notes\n---\n'
})
};
fetch('https://melso.ai/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'release-notes',
'description' => 'Write release notes',
'content' => '---
name: release-notes
description: Write release notes
---
'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/skills"
payload := strings.NewReader("{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/skills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"content": "<string>",
"config": "<unknown>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"scope": "<string>",
"area_ids": [
"<string>"
],
"files": [
{
"id": "<string>",
"skill_id": "<string>",
"path": "<string>",
"content": "<string>",
"encoding": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"source_edited": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Skills
Create skill
Workspace member.
Request: name:string required, description?:string, content?:string (the SKILL.md text), config?:object, files?:{path,content,encoding?}[].
Response: the skill with files.
Status: 201; 400 invalid body or file; 409 name taken.
POST
/
api
/
skills
Create skill
curl --request POST \
--url https://melso.ai/api/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "release-notes",
"description": "Write release notes",
"content": "---\nname: release-notes\ndescription: Write release notes\n---\n"
}
'import requests
url = "https://melso.ai/api/skills"
payload = {
"name": "release-notes",
"description": "Write release notes",
"content": "---
name: release-notes
description: Write release notes
---
"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'release-notes',
description: 'Write release notes',
content: '---\nname: release-notes\ndescription: Write release notes\n---\n'
})
};
fetch('https://melso.ai/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'release-notes',
'description' => 'Write release notes',
'content' => '---
name: release-notes
description: Write release notes
---
'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/skills"
payload := strings.NewReader("{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/skills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"release-notes\",\n \"description\": \"Write release notes\",\n \"content\": \"---\\nname: release-notes\\ndescription: Write release notes\\n---\\n\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"content": "<string>",
"config": "<unknown>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"scope": "<string>",
"area_ids": [
"<string>"
],
"files": [
{
"id": "<string>",
"skill_id": "<string>",
"path": "<string>",
"content": "<string>",
"encoding": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"source_edited": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Body
application/json
Response
the skill with files.
Show child attributes
Show child attributes